/*!
 * Copyright © 2005-2025 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Alfresco Example Content Application
 *
 * This file is part of the Alfresco Example Content Application.
 * If the software was purchased under a paid Alfresco license, the terms of
 * the paid license agreement will prevail. Otherwise, the software is
 * provided under the following open source license terms:
 *
 * The Alfresco Example Content Application is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Alfresco Example Content Application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * from Hyland Software. If not, see <http://www.gnu.org/licenses/>.
 */
import { SiteEntry, SiteMemberEntry, SiteMembershipRequestEntry } from '@alfresco/js-api';
export declare class SitesApi {
    private apiService;
    constructor();
    static initialize(userName: string, password?: string): Promise<SitesApi>;
    createSite(title: string, visibility?: string, description?: string, siteId?: string): Promise<SiteEntry | null>;
    getDocLibId(siteId: string): Promise<string>;
    /**
     * Delete multiple sites/libraries.
     * @param siteIds The list of the site/library IDs to delete.
     * @param permanent Delete permanently, without moving to the trashcan? (default: true)
     */
    deleteSites(siteIds: string[], permanent?: boolean): Promise<void>;
    updateSiteMember(siteId: string, userId: string, role: string): Promise<SiteMemberEntry>;
    addSiteMember(siteId: string, userId: string, role: string): Promise<SiteMemberEntry>;
    createSiteMembershipRequestForPerson(personId: string, siteId: string): Promise<SiteMembershipRequestEntry>;
    approveSiteMembershipRequest(siteId: string, inviteeId: string): Promise<SiteMemberEntry>;
    hasMembershipRequest(personId: string, siteId: string): Promise<boolean>;
    deleteSiteMember(siteId: string, userId: string): Promise<void>;
    getSite(siteId: string): Promise<SiteEntry>;
}
