/*!
 * Copyright © 2005-2025 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Alfresco Example Content Application
 *
 * This file is part of the Alfresco Example Content Application.
 * If the software was purchased under a paid Alfresco license, the terms of
 * the paid license agreement will prevail. Otherwise, the software is
 * provided under the following open source license terms:
 *
 * The Alfresco Example Content Application is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Alfresco Example Content Application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * from Hyland Software. If not, see <http://www.gnu.org/licenses/>.
 */
import { FavoritesLibrariesPage, LoginPage, MyLibrariesPage, NodesPage, PersonalFilesPage, RecentFilesPage, SharedPage, SearchPage, FavoritesPage, TrashPage } from '../page-objects';
import { FileActionsApi, SharedLinksApi, FavoritesPageApi, NodesApi, SitesApi } from '../api';
interface Pages {
    personalFiles: PersonalFilesPage;
    nodesPage: NodesPage;
    myLibrariesPage: MyLibrariesPage;
    recentFilesPage: RecentFilesPage;
    sharedPage: SharedPage;
    searchPage: SearchPage;
    favoritePage: FavoritesPage;
    favoritesLibrariesPage: FavoritesLibrariesPage;
    trashPage: TrashPage;
    loginPage: LoginPage;
    favoriteLibrariesPage: FavoritesLibrariesPage;
}
interface Api {
    fileAction: FileActionsApi;
    shareAction: SharedLinksApi;
    favoritesPageAction: FavoritesPageApi;
    nodesApiAction: NodesApi;
    sitesApiAction: SitesApi;
}
export declare const test: import("@playwright/test").TestType<import("@playwright/test").PlaywrightTestArgs & import("@playwright/test").PlaywrightTestOptions & Pages & Api, import("@playwright/test").PlaywrightWorkerArgs & import("@playwright/test").PlaywrightWorkerOptions>;
export {};
