/*!
 * Copyright © 2005-2025 Hyland Software, Inc. and its affiliates. All rights reserved.
 *
 * Alfresco Example Content Application
 *
 * This file is part of the Alfresco Example Content Application.
 * If the software was purchased under a paid Alfresco license, the terms of
 * the paid license agreement will prevail. Otherwise, the software is
 * provided under the following open source license terms:
 *
 * The Alfresco Example Content Application is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * The Alfresco Example Content Application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * from Hyland Software. If not, see <http://www.gnu.org/licenses/>.
 */
import { Page } from '@playwright/test';
import { BaseComponent } from './base.component';
export declare enum ActionType {
    AddAspect = "Add aspect",
    SimpleWorkflow = "Add simple workflow",
    IncrementCounter = "Increment Counter",
    CheckIn = "Check in",
    AutoDeclareOptions = "Auto-Declare Options",
    CheckOut = "Check out",
    Copy = "Copy",
    ExecuteScript = "Execute script",
    ExtractCommonMetadataFields = "Extract common metadata fields",
    FileAsRecord = "File as Record",
    FileVersionAsRecord = "File Version as Record",
    HideRecord = "Hide Record",
    Import = "Import",
    Move = "Move",
    RemoveAspect = "Remove aspect",
    RequestAIRenditions = "Request AI renditions",
    SendEmail = "Send email",
    SetPropertyValue = "Set property value",
    SpecialiseType = "Specialise type",
    TransformAndCopyContent = "Transform and copy content",
    TransformAndCopyImage = "Transform and copy image"
}
export declare class ActionsDropdownComponent extends BaseComponent {
    private static rootElement;
    private getOptionLocator;
    private ruleActionLocator;
    private addActionButtonLocator;
    private actionDropdownLocator;
    private actionAspectNameLocator;
    private actionCheckInInputLocator;
    private actionAutoDeclareLocator;
    private actionSpecialiseTypeLocator;
    private actionSimpleWorkflowStepInputLocator;
    private actionSimpleWorkflowApproveFolderLocator;
    private actionSimpleWorkflowActionChoiceLocator;
    private actionSimpleWorkflowLabelApproveLocator;
    private actionSimpleWorkflowSRejectStepLocator;
    private actionSimpleWorkflowRejectFolderLocator;
    constructor(page: Page);
    selectAction(action: Partial<ActionType>, index: number): Promise<void>;
    dropdownSelection(selectValue: string, locator: string, index: number): Promise<void>;
    insertCheckInActionValues(checkInValue: string, index: number): Promise<void>;
    insertAddAspectActionValues(AspectValue: string, index: number): Promise<void>;
    insertAutoDeclareOptionsActionValues(autoDeclareOptionsValue: string, index: number): Promise<void>;
    insertSpecialiseTypeActionValues(specialiseTypeValue: string, index: number): Promise<void>;
    insertSimpleWorkflowActionValues(stepValue: string, index: number): Promise<void>;
}
